www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Uwe Schindler" <uschind...@apache.org>
Subject RE: JDK, Maven, Ant versions have been consolidated.
Date Fri, 12 Aug 2016 08:39:20 GMT
Hi,

on the lucene-jenkins machine, the packages are still missing. I think you have to install
the jenkins puppet module. Here the message:
FATAL: Cannot find executable from the chosen Ant installation "Ant 1.8.4"

See my e-mail from last week about using the "official" jenkins puppet module (answer to your
question). Unless our customizations in the home dir keep preserved, we are fine with that:

My mail:

====================================
Hi Gav,

sorry for responding late – I am currently on vacation!

About your questions: In the past we required some extra modules (like older Subversion to
be compatible with the older Jenkins Checkouts). As we are on Git now and the build scripts
use JGit to fetch revision numbers and check for clean checkouts, this is obsolete. So if
you want to install the “Jenkins puppet module”, we are fine.

There is one special case for Lucene:
We have a hardware-specific “lucene.build.properties” file in Jenkin’s root and also
some additional “test files” (large wikiepdia checkouts) that are used for nightly tests.
If the puppet module does not delete those files in current ~/jenkins, it is ok. We would
still need access to the machine and sudo to jenkins.

If this is all fine, go ahead!

Uwe
=======================================

Uwe

-----
Uwe Schindler
H.-H.-Meier-Allee 63, D-28213 Bremen
http://www.thetaphi.de
eMail: uwe@thetaphi.de

> -----Original Message-----
> From: Gav [mailto:gmcdonald@apache.org]
> Sent: Friday, August 12, 2016 6:43 AM
> To: builds <builds@apache.org>
> Subject: JDK, Maven, Ant versions have been consolidated.
> 
> HI All,
> 
> As per previous emails and as documented [1] [2] [3] we have now
> consolidated the JDK, Maven and Ant install versions.
> 
> All versions are now installed/managed via puppet and any 'auto-install'
> versions have been removed.
> 
> At the time of consolidation and removal of versions, over 200 jobs were
> still configured to use deprecated versions despite the emails I've been
> sending. Those 200+ jobs I have migrated myself to supported versions.
> 
> Any issues with your jobs please do create a new INFRA jira or email this
> list.
> 
> Thanks,
> 
> Gav...
> 
> [1] -
> https://cwiki.apache.org/confluence/display/INFRA/JDK+Installation+Matrix
> [2] -
> https://cwiki.apache.org/confluence/display/INFRA/Ant+Installation+Matrix
> [3] -
> https://cwiki.apache.org/confluence/display/INFRA/Maven+Installation+Mat
> rix


Mime
View raw message